cgSetProgramStateAssignment(3)

NAME
cgSetProgramStateAssignment - set the value of a program state assignment

SYNOPSIS
  #include <Cg/cg.h>

  CGbool cgSetProgramStateAssignment( CGstateassignment sa,
                                      CGprogram program );

PARAMETERS

sa  A handle to a state assignment of type CG_PROGRAM_TYPE.

program
    The program object to which sa will be set.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetProgramStateAssignment sets the value of a state assignment of program type.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a program type.

CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgSetProgramStateAssignment was introduced in Cg 1.5.

SEE ALSO
cgGetProgramStateAssignmentValue, cgSetBoolArrayStateAssignment, cgSetBoolStateAssignment, cgSetFloatArrayStateAssignment, cgSetFloatStateAssignment, cgSetIntArrayStateAssignment, cgSetIntStateAssignment, cgSetSamplerStateAssignment, cgSetStringStateAssignment, cgSetTextureStateAssignment